Bug 182347

Summary: Remove WebCore/ForwardingHeaders directory
Product: WebKit Reporter: Don Olmstead <don.olmstead>
Component: WebCore Misc.Assignee: Don Olmstead <don.olmstead>
Status: RESOLVED FIXED    
Severity: Normal CC: ap, bburg, cdumez, commit-queue, ews, joepeck, keith_miller, mark.lam, mjs, msaboff, sbarati, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=196436
Bug Depends on: 182445, 182448, 182452, 182501, 182505    
Bug Blocks: 180064    
Attachments:
Description Flags
Patch
ews: commit-queue-
WIP Patch
ews: commit-queue-
WIP Patch
ews: commit-queue-
Patch
none
WIP Patch
none
Patch for scripts
ews: commit-queue-
Patch for scripts
ews: commit-queue-
WIP Patch
none
Patch
none
Patch
none
Patch
none
Patch none

Description Don Olmstead 2018-01-31 12:10:24 PST
This directory is causing problems when trying to copy headers within all ports. Its not clear if this directory is actually needed since it just includes <JavaScriptCore> headers anyways.
Comment 1 Don Olmstead 2018-01-31 12:34:41 PST
Created attachment 332793 [details]
Patch

Lets see what happens with the bots
Comment 2 Build Bot 2018-01-31 12:37:32 PST
Attachment 332793 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/graphics/avfoundation/MediaSampleAVFObjC.h:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Carbon/CarbonWindowAdapter.mm:73:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/platform/graphics/filters/FEComposite.cpp:32:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/ios/Misc/WebUIKitSupport.mm:42:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebCoreSupport/WebInspectorClient.h:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebScriptDebugDelegate.mm:29:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
ERROR: Source/WebCore/platform/graphics/filters/FEConvolveMatrix.cpp:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/platform/graphics/filters/FEBlend.cpp:34:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/platform/graphics/avfoundation/CDMPrivateMediaSourceAVFObjC.mm:37:  *SoftLink.h header should be included after all other headers.  [build/include_order] [4]
ERROR: Source/WebCore/platform/graphics/filters/FEComponentTransfer.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 10 in 545 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Build Bot 2018-01-31 12:39:32 PST
Comment on attachment 332793 [details]
Patch

Attachment 332793 [details] did not pass bindings-ews (mac):
Output: http://webkit-queues.webkit.org/results/6297419

New failing tests:
(JS) JSTestCallbackFunctionRethrow.cpp
(JS) JSTestCallbackFunctionWithThisObject.cpp
(JS) JSTestCallbackFunctionWithTypedefs.cpp
Comment 4 Don Olmstead 2018-01-31 23:37:22 PST
Created attachment 332851 [details]
WIP Patch

Trying the bots again now that JSC headers are copies
Comment 5 Build Bot 2018-01-31 23:41:01 PST
Comment on attachment 332851 [details]
WIP Patch

Attachment 332851 [details] did not pass bindings-ews (mac):
Output: http://webkit-queues.webkit.org/results/6312388

New failing tests:
(JS) JSTestCallbackFunctionRethrow.cpp
(JS) JSTestCallbackFunctionWithThisObject.cpp
(JS) JSTestCallbackFunctionWithTypedefs.cpp
Comment 6 Build Bot 2018-01-31 23:41:19 PST
Attachment 332851 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/graphics/avfoundation/MediaSampleAVFObjC.h:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Carbon/CarbonWindowAdapter.mm:73:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/platform/graphics/filters/FEComposite.cpp:32:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/ios/Misc/WebUIKitSupport.mm:42:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebCoreSupport/WebInspectorClient.h:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebScriptDebugDelegate.mm:29:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:80:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/platform/graphics/filters/FEConvolveMatrix.cpp:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/platform/graphics/filters/FEBlend.cpp:34:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/platform/graphics/avfoundation/CDMPrivateMediaSourceAVFObjC.mm:37:  *SoftLink.h header should be included after all other headers.  [build/include_order] [4]
ERROR: Source/WebCore/platform/graphics/filters/FEComponentTransfer.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 11 in 545 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Don Olmstead 2018-01-31 23:47:05 PST
Created attachment 332852 [details]
WIP Patch
Comment 8 Build Bot 2018-01-31 23:49:31 PST
Attachment 332852 [details] did not pass style-queue:


ERROR: Source/WebCore/inspector/CommandLineAPIHost.cpp:46:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/platform/graphics/avfoundation/MediaSampleAVFObjC.h:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/Carbon/CarbonWindowAdapter.mm:73:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorInstrumentation.cpp:71:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorController.cpp:77:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/platform/graphics/filters/FEComposite.cpp:32:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/ios/Misc/WebUIKitSupport.mm:42:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebCoreSupport/WebInspectorClient.h:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebScriptDebugDelegate.mm:29:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
ERROR: Source/WebCore/bindings/js/SerializedScriptValue.cpp:80:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/platform/graphics/filters/FEConvolveMatrix.cpp:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/platform/graphics/filters/FEBlend.cpp:34:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/platform/graphics/avfoundation/CDMPrivateMediaSourceAVFObjC.mm:37:  *SoftLink.h header should be included after all other headers.  [build/include_order] [4]
ERROR: Source/WebCore/platform/graphics/filters/FEComponentTransfer.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/agents/InspectorTimelineAgent.cpp:49:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/WorkerInspectorController.cpp:46:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 16 in 545 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 Build Bot 2018-01-31 23:52:03 PST
Comment on attachment 332852 [details]
WIP Patch

Attachment 332852 [details] did not pass bindings-ews (mac):
Output: http://webkit-queues.webkit.org/results/6312534

New failing tests:
(JS) JSTestCallbackFunctionRethrow.cpp
(JS) JSTestCallbackFunctionWithThisObject.cpp
(JS) JSTestCallbackFunctionWithTypedefs.cpp
Comment 10 Don Olmstead 2018-02-01 11:43:09 PST
Created attachment 332899 [details]
Patch
Comment 11 Build Bot 2018-02-01 11:46:20 PST
Attachment 332899 [details] did not pass style-queue:


ERROR: Source/WebKitLegacy/mac/Carbon/CarbonWindowAdapter.mm:73:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebScriptDebugDelegate.mm:29:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 3 in 545 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 12 Don Olmstead 2018-02-01 12:00:39 PST
Created attachment 332900 [details]
WIP Patch

Potentially fix the generator
Comment 13 Build Bot 2018-02-01 12:02:50 PST
Attachment 332900 [details] did not pass style-queue:


ERROR: Source/WebKitLegacy/mac/Carbon/CarbonWindowAdapter.mm:73:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebScriptDebugDelegate.mm:29:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 3 in 557 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 14 Don Olmstead 2018-02-01 15:08:19 PST
Created attachment 332913 [details]
Patch for scripts

Just seeing if things go with the script changes referencing JavaScriptCore
Comment 15 Build Bot 2018-02-01 15:10:06 PST
This patch modifies the JS builtins code generator. Please ensure that you have rebaselined any generator test results (i.e., by running `Tools/Scripts/run-builtins-generator-tests --reset-results`)
Comment 16 Build Bot 2018-02-01 15:10:18 PST
Attachment 332913 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/Scripts/builtins/builtins_generate_internals_wrapper_header.py:64:  whitespace before ']'  [pep8/E202] [5]
Total errors found: 1 in 25 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 17 Build Bot 2018-02-01 15:11:45 PST
Comment on attachment 332913 [details]
Patch for scripts

Attachment 332913 [details] did not pass bindings-ews (mac):
Output: http://webkit-queues.webkit.org/results/6321789

New failing tests:
(JS) JSTestCallbackFunctionRethrow.cpp
(JS) JSTestCallbackFunctionWithThisObject.cpp
(JS) JSTestCallbackFunctionWithTypedefs.cpp
(JS) JSTestCallbackInterface.cpp
(JS) JSTestCallTracer.cpp
(JS) JSTestCEReactions.cpp
(JS) JSTestCEReactionsStringifier.cpp
(JS) JSTestClassWithJSBuiltinConstructor.cpp
(JS) JSTestCustomConstructorWithNoInterfaceObject.cpp
(JS) JSTestActiveDOMObject.cpp
(JS) JSTestDOMJIT.h
(JS) JSTestDOMJIT.cpp
(JS) JSTestEnabledBySetting.cpp
(JS) JSTestEventConstructor.cpp
(JS) JSTestEventTarget.cpp
(JS) JSTestException.cpp
(JS) JSTestException.h
(JS) JSTestGenerateIsReachable.cpp
(JS) JSTestGlobalObject.cpp
(JS) JSTestIndexedSetterNoIdentifier.cpp
(JS) JSTestIndexedSetterThrowingException.cpp
(JS) JSTestIndexedSetterWithIdentifier.cpp
(JS) JSTestInterface.cpp
(JS) JSTestInterfaceLeadingUnderscore.cpp
(JS) JSTestIterable.cpp
(JS) JSTestJSBuiltinConstructor.cpp
(JS) JSMapLike.cpp
(JS) JSTestMediaQueryListListener.cpp
(JS) JSTestNamedAndIndexedSetterNoIdentifier.cpp
(JS) JSTestNamedAndIndexedSetterThrowingException.cpp
(JS) JSTestNamedAndIndexedSetterWithIdentifier.cpp
(JS) JSTestNamedConstructor.cpp
(JS) JSTestNamedDeleterNoIdentifier.cpp
(JS) JSTestNamedDeleterThrowingException.cpp
(JS) JSTestNamedDeleterWithIdentifier.cpp
(JS) JSTestNamedDeleterWithIndexedGetter.cpp
(JS) JSTestNamedGetterCallWith.cpp
(JS) JSTestNamedGetterNoIdentifier.cpp
(JS) JSTestNamedGetterWithIdentifier.cpp
(JS) JSTestNamedSetterNoIdentifier.cpp
(JS) JSTestNamedSetterThrowingException.cpp
(JS) JSTestNamedSetterWithIdentifier.cpp
(JS) JSTestNamedSetterWithIndexedGetter.cpp
(JS) JSTestNamedSetterWithIndexedGetterAndSetter.cpp
(JS) JSTestNamedSetterWithOverrideBuiltins.cpp
(JS) JSTestNamedSetterWithUnforgableProperties.cpp
(JS) JSTestNamedSetterWithUnforgablePropertiesAndOverrideBuiltins.cpp
(JS) JSTestNode.cpp
(JS) JSTestObj.cpp
(JS) JSTestObj.h
(JS) JSTestOverloadedConstructors.cpp
(JS) JSTestOverloadedConstructorsWithSequence.cpp
(JS) JSTestOverrideBuiltins.cpp
(JS) JSTestPluginInterface.cpp
(JS) JSTestPluginInterface.h
(JS) JSTestPromiseRejectionEvent.cpp
(JS) JSReadOnlyMapLike.cpp
(JS) JSInterfaceName.cpp
(JS) JSTestSerialization.cpp
(JS) JSTestSerializationIndirectInheritance.cpp
(JS) JSTestSerializationInherit.cpp
(JS) JSTestSerializationInheritFinal.cpp
(JS) JSTestSerializedScriptValueInterface.cpp
(JS) JSTestStandaloneDictionary.cpp
(JS) JSTestStandaloneEnumeration.cpp
(JS) JSTestStringifier.cpp
(JS) JSTestStringifierAnonymousOperation.cpp
(JS) JSTestStringifierNamedOperation.cpp
(JS) JSTestStringifierOperationImplementedAs.cpp
(JS) JSTestStringifierOperationNamedToString.cpp
(JS) JSTestStringifierReadOnlyAttribute.cpp
(JS) JSTestStringifierReadWriteAttribute.cpp
(JS) JSTestTypedefs.cpp
Comment 18 Don Olmstead 2018-02-01 15:29:47 PST
Created attachment 332916 [details]
Patch for scripts

Let's see if JavaScriptCore style headers are needed in Mac builds.
Comment 19 Build Bot 2018-02-01 15:31:43 PST
Attachment 332916 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/runtime/JSGlobalObject.h:48:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/JavaScriptCore/Scripts/builtins/builtins_generate_internals_wrapper_header.py:64:  whitespace before ']'  [pep8/E202] [5]
Total errors found: 2 in 25 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 20 Build Bot 2018-02-01 15:33:45 PST
Comment on attachment 332916 [details]
Patch for scripts

Attachment 332916 [details] did not pass bindings-ews (mac):
Output: http://webkit-queues.webkit.org/results/6322033

New failing tests:
(JS) JSTestCallbackFunctionRethrow.cpp
(JS) JSTestCallbackFunctionWithThisObject.cpp
(JS) JSTestCallbackFunctionWithTypedefs.cpp
(JS) JSTestCallbackInterface.cpp
(JS) JSTestCallTracer.cpp
(JS) JSTestCEReactions.cpp
(JS) JSTestCEReactionsStringifier.cpp
(JS) JSTestClassWithJSBuiltinConstructor.cpp
(JS) JSTestCustomConstructorWithNoInterfaceObject.cpp
(JS) JSTestActiveDOMObject.cpp
(JS) JSTestDOMJIT.h
(JS) JSTestDOMJIT.cpp
(JS) JSTestEnabledBySetting.cpp
(JS) JSTestEventConstructor.cpp
(JS) JSTestEventTarget.cpp
(JS) JSTestException.cpp
(JS) JSTestException.h
(JS) JSTestGenerateIsReachable.cpp
(JS) JSTestGlobalObject.cpp
(JS) JSTestIndexedSetterNoIdentifier.cpp
(JS) JSTestIndexedSetterThrowingException.cpp
(JS) JSTestIndexedSetterWithIdentifier.cpp
(JS) JSTestInterface.cpp
(JS) JSTestInterfaceLeadingUnderscore.cpp
(JS) JSTestIterable.cpp
(JS) JSTestJSBuiltinConstructor.cpp
(JS) JSMapLike.cpp
(JS) JSTestMediaQueryListListener.cpp
(JS) JSTestNamedAndIndexedSetterNoIdentifier.cpp
(JS) JSTestNamedAndIndexedSetterThrowingException.cpp
(JS) JSTestNamedAndIndexedSetterWithIdentifier.cpp
(JS) JSTestNamedConstructor.cpp
(JS) JSTestNamedDeleterNoIdentifier.cpp
(JS) JSTestNamedDeleterThrowingException.cpp
(JS) JSTestNamedDeleterWithIdentifier.cpp
(JS) JSTestNamedDeleterWithIndexedGetter.cpp
(JS) JSTestNamedGetterCallWith.cpp
(JS) JSTestNamedGetterNoIdentifier.cpp
(JS) JSTestNamedGetterWithIdentifier.cpp
(JS) JSTestNamedSetterNoIdentifier.cpp
(JS) JSTestNamedSetterThrowingException.cpp
(JS) JSTestNamedSetterWithIdentifier.cpp
(JS) JSTestNamedSetterWithIndexedGetter.cpp
(JS) JSTestNamedSetterWithIndexedGetterAndSetter.cpp
(JS) JSTestNamedSetterWithOverrideBuiltins.cpp
(JS) JSTestNamedSetterWithUnforgableProperties.cpp
(JS) JSTestNamedSetterWithUnforgablePropertiesAndOverrideBuiltins.cpp
(JS) JSTestNode.cpp
(JS) JSTestObj.cpp
(JS) JSTestObj.h
(JS) JSTestOverloadedConstructors.cpp
(JS) JSTestOverloadedConstructorsWithSequence.cpp
(JS) JSTestOverrideBuiltins.cpp
(JS) JSTestPluginInterface.cpp
(JS) JSTestPluginInterface.h
(JS) JSTestPromiseRejectionEvent.cpp
(JS) JSReadOnlyMapLike.cpp
(JS) JSInterfaceName.cpp
(JS) JSTestSerialization.cpp
(JS) JSTestSerializationIndirectInheritance.cpp
(JS) JSTestSerializationInherit.cpp
(JS) JSTestSerializationInheritFinal.cpp
(JS) JSTestSerializedScriptValueInterface.cpp
(JS) JSTestStandaloneDictionary.cpp
(JS) JSTestStandaloneEnumeration.cpp
(JS) JSTestStringifier.cpp
(JS) JSTestStringifierAnonymousOperation.cpp
(JS) JSTestStringifierNamedOperation.cpp
(JS) JSTestStringifierOperationImplementedAs.cpp
(JS) JSTestStringifierOperationNamedToString.cpp
(JS) JSTestStringifierReadOnlyAttribute.cpp
(JS) JSTestStringifierReadWriteAttribute.cpp
(JS) JSTestTypedefs.cpp
Comment 21 Don Olmstead 2018-02-01 18:57:21 PST
Created attachment 332930 [details]
WIP Patch
Comment 22 Build Bot 2018-02-01 19:00:14 PST
Attachment 332930 [details] did not pass style-queue:


ERROR: Source/WebKitLegacy/mac/Carbon/CarbonWindowAdapter.mm:73:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/JavaScriptCore/Scripts/builtins/builtins_generate_internals_wrapper_header.py:64:  whitespace before ']'  [pep8/E202] [5]
ERROR: Source/WebKitLegacy/mac/WebView/WebScriptDebugDelegate.mm:29:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
ERROR: Source/JavaScriptCore/runtime/JSGlobalObject.h:48:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 4 in 568 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 23 Don Olmstead 2018-02-05 11:34:16 PST
Created attachment 333103 [details]
Patch
Comment 24 Build Bot 2018-02-05 11:41:19 PST
Attachment 333103 [details] did not pass style-queue:


ERROR: Source/WebKitLegacy/mac/Carbon/CarbonWindowAdapter.mm:73:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebScriptDebugDelegate.mm:29:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 3 in 472 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 25 Don Olmstead 2018-02-06 15:14:12 PST
Created attachment 333226 [details]
Patch

Lets see what else breaks now!
Comment 26 Don Olmstead 2018-02-06 17:54:28 PST
Created attachment 333239 [details]
Patch

Rebased on latest
Comment 27 Build Bot 2018-02-06 17:59:19 PST
Attachment 333239 [details] did not pass style-queue:


ERROR: Source/WebKitLegacy/mac/Carbon/CarbonWindowAdapter.mm:73:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebScriptDebugDelegate.mm:29:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 3 in 474 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 28 Don Olmstead 2018-02-06 18:47:06 PST
Created attachment 333251 [details]
Patch

11th time is maybe the charm?
Comment 29 Build Bot 2018-02-06 18:52:11 PST
Attachment 333251 [details] did not pass style-queue:


ERROR: Source/WebKitLegacy/mac/Carbon/CarbonWindowAdapter.mm:73:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/ThirdParty/gtest/include/gtest/internal/gtest-port.h:184:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebKitLegacy/mac/WebView/WebScriptDebugDelegate.mm:29:  Found header this file implements before WebCore config.h. Should be: config.h, primary header, blank line, and then alphabetically sorted.  [build/include_order] [4]
Total errors found: 3 in 477 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 30 Keith Miller 2018-02-06 19:01:20 PST
Comment on attachment 333251 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=333251&action=review

r=me if it builds everything correctly.

> Source/WebCore/Modules/indexeddb/IDBObjectStore.cpp:50
> +#include <JavaScriptCore/HeapInlines.h>

OMG, we export this... D:
Comment 31 Don Olmstead 2018-02-06 19:20:05 PST
(In reply to Keith Miller from comment #30)
> Comment on attachment 333251 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=333251&action=review
> 
> r=me if it builds everything correctly.
> 
> > Source/WebCore/Modules/indexeddb/IDBObjectStore.cpp:50
> > +#include <JavaScriptCore/HeapInlines.h>
> 
> OMG, we export this... D:

In multiple places too!
Comment 32 Brian Burg 2018-02-06 20:47:38 PST
Comment on attachment 333251 [details]
Patch

Let's try to land this.
Comment 33 WebKit Commit Bot 2018-02-06 21:20:44 PST
Comment on attachment 333251 [details]
Patch

Clearing flags on attachment: 333251

Committed r228218: <https://trac.webkit.org/changeset/228218>
Comment 34 WebKit Commit Bot 2018-02-06 21:20:46 PST
All reviewed patches have been landed.  Closing bug.
Comment 35 Radar WebKit Bug Importer 2018-02-06 21:21:45 PST
<rdar://problem/37301604>